Bug 377091 - TAHI--DHCPv6--SERVER1 cannot receive Echo Reply
TAHI--DHCPv6--SERVER1 cannot receive Echo Reply
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks: 253764
  Show dependency treegraph
 
Reported: 2007-11-12 00:46 EST by Zhiyong Wu
Modified: 2008-05-21 12:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0365
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhiyong Wu 2007-11-12 00:46:14 EST
Description of problem:

  When having dhcpv6 tests for rfc3315 in the host mode,we found that SERVER1 

cannot receive Echo Reply in some scenarios.

Version-Release number of selected component (if applicable):

  kernel-2.6.18-43.el5

Software Environment:   
  Testee(NUT):   
    RHEL5 
    Kernel:2.6.18-43.el5 
   
  Tester(TN):   
    FreeBSD6.2
    v6eval-3.0.12.tar.gz
   
TAHI package:    
  DHCPv6_Self_Test_P2_1_0_7.tar.gz

How reproducible:
  every time

Steps to Reproduce:    
  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results 
  
Actual results:

   SERVER1 cannot receive Echo Reply. 

Expected results:

   SERVER1 should receive Echo Reply.

Additional info:
  
   please refer to

http://focus.brisbane.redhat.com/~zwu/dhcp_client/20071030/DHCPv6_Self_Test_P2_1_0_7_client/rfc3315/index.html

   (1)67	Part E : IA Address option not included in IA from Server

   (2)85	Part C : Contains invalid IA_NA option T1>T2
Comment 1 RHEL Product and Program Management 2007-11-15 03:54:28 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Zhiyong Wu 2007-12-28 00:14:06 EST
the bug has been tested PASS with dhcpv6-1.0.4-1.el5.i386.rpm 
dhcpv6-client-1.0.4-1.el5.i386.rpm  libdhcp6client-1.0.4-1.el5.i386.rpm.

Comment 4 Zhiyong Wu 2008-02-25 01:56:49 EST
but the test cases PASS on RHEL5.2 with dhcpv6-1.0.10

for more details, pls refer to

http://focus.brisbane.redhat.com/~zwu/RHEL5.2-Server-20080212.0/20080220/DHCPv6_Self_Test_P2_1_0_8_client_1.0.10/rfc3315/index.html
Comment 7 errata-xmlrpc 2008-05-21 12:02:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0365.html

Note You need to log in before you can comment on or make changes to this bug.